org.apache.uima.jcas.tcas

## Class Annotation_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.AnnotationBase_Type
    - - org.apache.uima.jcas.tcas.Annotation_Type

- Deprecated.

      @Deprecated
      public class Annotation_Type
      extends AnnotationBase_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst` Deprecated.
    `static int` | `typeIndexID` Deprecated.

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Annotation_Type()` Deprecated.
    `` | `Annotation_Type(JCas jcas, Type casType)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBegin(int addr)` Deprecated.
    `String` | `getCoveredText(int inst)` Deprecated.
    `int` | `getEnd(int addr)` Deprecated.
    `protected FSGenerator<?>` | `getFSGenerator()` Deprecated.
    `void` | `setBegin(int addr, int v)` Deprecated.
    `void` | `setEnd(int addr, int v)` Deprecated.

    - ### Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase_Type

      `getSofa, getView`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, getTypeIndexID, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      Deprecated.
      See Also:
        Constant Field Values

    - #### featOkTst

          public static final boolean featOkTst

      Deprecated.

  - ### Constructor Detail

    - #### Annotation_Type

          public Annotation_Type(JCas jcas,
                                 Type casType)

      Deprecated.

    - #### Annotation_Type

          protected Annotation_Type()

      Deprecated.

  - ### Method Detail

    - #### getFSGenerator

          protected FSGenerator<?> getFSGenerator()

      Deprecated.
      Overrides:
        `getFSGenerator` in class `AnnotationBase_Type`

    - #### getBegin

          public int getBegin(int addr)

      Deprecated.

    - #### setBegin

          public void setBegin(int addr,
                               int v)

      Deprecated.

    - #### getEnd

          public int getEnd(int addr)

      Deprecated.

    - #### setEnd

          public void setEnd(int addr,
                             int v)

      Deprecated.

    - #### getCoveredText

          public String getCoveredText(int inst)

      Deprecated.
      Parameters:
        `inst` - low level reference to a Feature Structure
      Returns:
        null or the covered text
      See Also:
        `AnnotationFS.getCoveredText()`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.